Bug 535147 (RHQ-1873)

Summary: Link from "Recent Alerts" portlet to Alert should be from Date/Time Column
Product: [Other] RHQ Project Reporter: Jeff Weiss <jweiss>
Component: Core UIAssignee: Jay Shaughnessy <jshaughn>
Status: CLOSED CURRENTRELEASE QA Contact: Jeff Weiss <jweiss>
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: dajohnso, jshaughn, mfoley
Target Milestone: ---Keywords: FutureFeature, Improvement
Target Release: ---   
Hardware: All   
OS: All   
URL: http://jira.rhq-project.org/browse/RHQ-1873
Whiteboard:
Fixed In Version: Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: Environment:
rev3509
Last Closed: 2013-09-02 03:18:17 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 585306    

Description Jeff Weiss 2009-03-26 17:07:00 EDT
There are 3 columns in this portlet:

Resource Name,  	Alert Name,  	Date / Time

The first column is fine, but the 2nd column has links to the Alert, but since Alerts are named the same as the Alert Def, it's not clear which it links to.  If you have 5 Alerts from the same Def, you'll see 5 links with the same text and they all go to different places.

I suggest making the links in the 2nd column go to the Definition.  The 3rd column should be made into links that go to the Alert itself.  This would be more in line with other parts of the UI where Date/Time fields are links to the thing that happened at that Date/Time.

Comment 1 Red Hat Bugzilla 2009-11-10 15:48:32 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-1873
Comment 2 wes hayutin 2010-02-16 12:09:55 EST
mass add of key word FutureFeature to help track
Comment 3 Jay Shaughnessy 2011-02-11 17:16:24 EST
if possible set name link to def and date to alert
Comment 4 Jay Shaughnessy 2011-02-15 09:36:55 EST
Done. This change carries through to all of the AlertHistoryList views. Also, dbl click will bring you to the history detail as well.
Comment 5 Mike Foley 2011-05-02 08:54:48 EDT
verified RHQ 4.0 release candidate #1.
Comment 6 Heiko W. Rupp 2013-09-02 03:18:17 EDT
Bulk closing of issues that were VERIFIED, had no target release and where the status changed more than a year ago.